This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 138366 - CAN-2004-0983 Denial of Service in Ruby
CAN-2004-0983 Denial of Service in Ruby
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
impact=moderate,public=20041103
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 11:38 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 00:07:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-11-08 11:38:49 EST
Upstream has fixed a denial of service issue in ruby.  The CGI module
could enter into an infinite loop if a specially crafted request is
sent to it.

This issue should also affect FC2.
Comment 1 Josh Bressers 2004-11-08 11:53:19 EST
attachment 106289 [details] contains the patch for this issue.
Comment 2 David Eisenstein 2004-11-09 23:49:07 EST
This issue appears to also affect FC1 (Legacy).  See 
  http://bugzilla.fedora.us/show_bug.cgi?id=2007
for our response to this.
Comment 3 Josh Bressers 2004-11-10 05:57:24 EST
This issue is not the same one covered by

http://bugzilla.fedora.us/show_bug.cgi?id=2007

That bug deals with insecure temporary files, this issue is a DoS. 
Both deal with the Ruby CGI layer though.
Comment 4 Akira TAGOH 2004-11-11 00:07:57 EST
should be fixed in 1.8.1-6.FC2.0 and 1.8.1-7.FC3.1

Note You need to log in before you can comment on or make changes to this bug.